#### Description:

This function returns a boolean result (0 or 1) to indicate whether two pointers refer to the same Object.

#### Synopsis

int astSame( AstObject ∗this, AstObject ∗that )

#### Parameters:

##### this

Pointer to the first Object.

##### that

Pointer to the second Object.

#### Applicability

##### Object

This function applies to all Objects.

#### Returned Value

##### astSame()

One if the two pointers refer to the same Object, otherwise zero.

#### Notes:

- Two independent Objects that happen to be identical are not considered to be the same Object by this function.

- A value of zero will be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

Copyright (C) 2021 East Asian Observatory